REPOMANAGE(1)

NUME
repomanage - redirecționează către modulul „repomanage” al DNF

Gestionează un depozit sau un simplu director de pachete rpm.

REZUMAT

dnf repomanage [<opțiuni-opționale>] [<opțiuni>] <ruta>

DESCRIERE

repomanage afișează cele mai noi sau mai vechi pachete dintr-un depozit specificat de <rută> pentru a fi ușor de transmis către xargs sau alte programe similare. În cazul în care <ruta> nu conține un director „repodata” valid, se caută pachete rpm care sunt apoi folosite în locul acestuia. În cazul în care conținutul directorului „repodata” este prezent, repomanage le folosește ca sursă de încredere, nu verifică dacă acestea se potrivesc cu pachetele rpm prezente. De fapt, repomanage poate rula doar cu „repodata”, nu este nevoie de pachete rpm.

Pentru a funcționa corect cu pachete modulare, <ruta> trebuie să conțină anumite date sursă de pachet cu metadate modulare. Dacă este prezent conținutul modular, repomanage afișează pachetele din cele mai noi sau mai vechi versiuni de fluxuri, în plus față de cele mai noi sau mai vechi pachete nemodulare.

  Opțiuni

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

Următoarele opțiuni stabilesc ce pachete sunt afișate. Aceste opțiuni se exclud reciproc, adică se poate specifica doar una singură. Dacă nu se specifică nicio opțiune, sunt afișate cele mai noi pachete.

    --old
        Afișează pachetele mai vechi (pentru un pachet sau un flux afișează toate versiunile, cu excepția celei mai noi).

    --oldonly
        Afișează pachetele mai vechi (la fel ca -old, dar exclude cele mai noi pachete, chiar dacă acestea sunt incluse în versiunile mai vechi ale fluxului).

    --new
        Afișează cele mai noi pachete.

Următoarele opțiuni controlează modul în care pachetele sunt afișate la ieșire:

    -s, --space
        Imprimă setul de pachete separat prin spațiu în loc de linie nouă.

    -k <număr>, --keep <număr>
        Limitează rezultatul la <numărul> specificat de cele mai noi pachete.

EXEMPLE

Afișează cele mai noi pachete din depozitul (directorul) curent:

        ^".ft C$
        dnf repomanage --new .
        ^".ft P$

Afișează cele mai noi 2 versiuni ale fiecărui pachet din directorul „home” (personal):

        ^".ft C$
        dnf repomanage --new --keep 2 ~/
        ^".ft P$

Afișează cele mai vechi pachete separate prin spațiu din depozitul (directorul) curent:

        ^".ft C$
        dnf repomanage --old --space .
        ^".ft P$

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2023, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.